Skip to main content
GET
Get all trades
Get all the trades for a given client ID.
Drawdown trades associated with fixed forward trades cannot be obtained using this operation. Details of a fixed forward drawdown trade can be obtained using Get a trade.

Authorizations

x-api-key
string
header
required

An API Key.

Headers

Authorization
string
required

The access token

X-Contact-ID
string

The ID of the contact

Query Parameters

client_id
string
required

The ID of the client

trade_type
enum<string>[]

The trade type. The list will be filtered to include only trades with a matching trade type.

Available options:
spot,
forward,
window_forward,
drawdown,
ndf
parent_trade_id
string

Parent identifier for drawdown trades

page
integer<int32>

The desired page number for pagination. By default is 1.

page_size
integer<int32>

The number of items per page for pagination. By default is 50.

external_reference_id
string

Filter by payment level's external_reference_id.

mass_payment_id
string

Filter by related mass payment's uuid.

mass_payment_external_reference_id
string

Filter by related mass payment's external reference.

buy_currency
string

Filter by the buy currency

status
enum<string>[]

Filter trades by comma separated statuses

Available options:
Created,
Funds In Partially,
Funds In Full,
Funds Out Partially Allocated,
Closed,
Cancelled

Response

List of trades

buy_amount
number<float>
required

Buy amount

buy_currency
string
required

Buy currency code

fee_amount
number<float>
required

Fee amount

fee_currency
string
required

Fee currency

maturity_date
string<date>
required

Limit date and time (UTC) in which funds must be received by Ebury

order_date
string<date>
required

Order date

parent_trade_id
string
required

Parent trade ID (not null for drawdown deals)

rate
number<float>
required

Booked rate

rate_symbol
string
required

The symbol of booked rate

sell_amount
number<float>
required

Sell amount

sell_currency
string
required

Sell currency code

status
enum<string>
required

Status of the trade

Available options:
Created,
Funds In Partially,
Funds in Full,
Funds Out Partially Allocated,
Funds Out Full Allocated,
Closed,
Cancelled
synthetic
boolean<boolean>
required

Identifies as a synthetic future contracts

trade_id
string
required

Trade identifier

trade_type
string
required

Trade type

reference
string

Additional trade reference. Example: Invoice number.

trade_receipt
string<uri>

The URL to get the trade receipt

external_reference_id
string

The client's external reference ID if provided during trade creation